diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/ipv6-static-routing.cc ns-3.43/src/internet/model/ipv6-static-routing.cc
--- ns-3.42/src/internet/model/ipv6-static-routing.cc	2024-05-29 15:29:46.964073200 -0700
+++ ns-3.43/src/internet/model/ipv6-static-routing.cc	2024-10-09 16:41:09.888656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007-2009 Strasbourg University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sebastien Vincent <vincent@clarinet.u-strasbg.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/ipv6-static-routing.h ns-3.43/src/internet/model/ipv6-static-routing.h
--- ns-3.42/src/internet/model/ipv6-static-routing.h	2024-05-29 15:29:46.964073200 -0700
+++ ns-3.43/src/internet/model/ipv6-static-routing.h	2024-10-09 16:41:09.888656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007-2009 Strasbourg University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sebastien Vincent <vincent@clarinet.u-strasbg.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/loopback-net-device.cc ns-3.43/src/internet/model/loopback-net-device.cc
--- ns-3.42/src/internet/model/loopback-net-device.cc	2024-05-29 15:29:46.964073200 -0700
+++ ns-3.43/src/internet/model/loopback-net-device.cc	2024-10-09 16:41:09.888656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/loopback-net-device.h ns-3.43/src/internet/model/loopback-net-device.h
--- ns-3.42/src/internet/model/loopback-net-device.h	2024-05-29 15:29:46.964073200 -0700
+++ ns-3.43/src/internet/model/loopback-net-device.h	2024-10-09 16:41:09.888656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/ndisc-cache.cc ns-3.43/src/internet/model/ndisc-cache.cc
--- ns-3.42/src/internet/model/ndisc-cache.cc	2024-05-29 15:29:46.964073200 -0700
+++ ns-3.43/src/internet/model/ndisc-cache.cc	2024-10-09 16:41:09.888656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007-2009 Strasbourg University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sebastien Vincent <vincent@clarinet.u-strasbg.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/ndisc-cache.h ns-3.43/src/internet/model/ndisc-cache.h
--- ns-3.42/src/internet/model/ndisc-cache.h	2024-05-29 15:29:46.964073200 -0700
+++ ns-3.43/src/internet/model/ndisc-cache.h	2024-10-09 16:41:09.888656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007-2009 Strasbourg University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sebastien Vincent <vincent@clarinet.u-strasbg.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/rip.cc ns-3.43/src/internet/model/rip.cc
--- ns-3.42/src/internet/model/rip.cc	2024-05-29 15:29:46.964073200 -0700
+++ ns-3.43/src/internet/model/rip.cc	2024-10-09 16:41:09.888656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/rip.h ns-3.43/src/internet/model/rip.h
--- ns-3.42/src/internet/model/rip.h	2024-05-29 15:29:46.964073200 -0700
+++ ns-3.43/src/internet/model/rip.h	2024-10-09 16:41:09.888656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/rip-header.cc ns-3.43/src/internet/model/rip-header.cc
--- ns-3.42/src/internet/model/rip-header.cc	2024-05-29 15:29:46.964073200 -0700
+++ ns-3.43/src/internet/model/rip-header.cc	2024-10-09 16:41:09.888656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/rip-header.h ns-3.43/src/internet/model/rip-header.h
--- ns-3.42/src/internet/model/rip-header.h	2024-05-29 15:29:46.964073200 -0700
+++ ns-3.43/src/internet/model/rip-header.h	2024-10-09 16:41:09.888656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/ripng.cc ns-3.43/src/internet/model/ripng.cc
--- ns-3.42/src/internet/model/ripng.cc	2024-05-29 15:29:46.964073200 -0700
+++ ns-3.43/src/internet/model/ripng.cc	2024-10-09 16:41:09.888656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/ripng.h ns-3.43/src/internet/model/ripng.h
--- ns-3.42/src/internet/model/ripng.h	2024-05-29 15:29:46.964073200 -0700
+++ ns-3.43/src/internet/model/ripng.h	2024-10-09 16:41:09.888656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/ripng-header.cc ns-3.43/src/internet/model/ripng-header.cc
--- ns-3.42/src/internet/model/ripng-header.cc	2024-05-29 15:29:46.964073200 -0700
+++ ns-3.43/src/internet/model/ripng-header.cc	2024-10-09 16:41:09.888656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/ripng-header.h ns-3.43/src/internet/model/ripng-header.h
--- ns-3.42/src/internet/model/ripng-header.h	2024-05-29 15:29:46.964073200 -0700
+++ ns-3.43/src/internet/model/ripng-header.h	2024-10-09 16:41:09.888656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/rtt-estimator.cc ns-3.43/src/internet/model/rtt-estimator.cc
--- ns-3.42/src/internet/model/rtt-estimator.cc	2024-05-29 15:29:46.964073200 -0700
+++ ns-3.43/src/internet/model/rtt-estimator.cc	2024-10-09 16:41:09.888656000 -0700
@@ -1,18 +1,7 @@
 //
 // Copyright (c) 2006 Georgia Tech Research Corporation
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Rajib Bhattacharjea<raj.b@gatech.edu>
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/rtt-estimator.h ns-3.43/src/internet/model/rtt-estimator.h
--- ns-3.42/src/internet/model/rtt-estimator.h	2024-05-29 15:29:46.964073200 -0700
+++ ns-3.43/src/internet/model/rtt-estimator.h	2024-10-09 16:41:09.888656000 -0700
@@ -1,18 +1,7 @@
 //
 // Copyright (c) 2006 Georgia Tech Research Corporation
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Rajib Bhattacharjea<raj.b@gatech.edu>
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/tcp-bbr.cc ns-3.43/src/internet/model/tcp-bbr.cc
--- ns-3.42/src/internet/model/tcp-bbr.cc	2024-05-29 15:29:46.964073200 -0700
+++ ns-3.43/src/internet/model/tcp-bbr.cc	2024-10-09 16:41:09.888656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2018 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Vivek Jain <jain.vivek.anand@gmail.com>
  *          Viyom Mittal <viyommittal@gmail.com>
@@ -75,7 +64,20 @@
                 "Max allowed val for m_ackEpochAcked, after which sampling epoch is reset",
                 UintegerValue(1 << 12),
                 MakeUintegerAccessor(&TcpBbr::m_ackEpochAckedResetThresh),
-                MakeUintegerChecker<uint32_t>());
+                MakeUintegerChecker<uint32_t>())
+            .AddTraceSource("MinRtt",
+                            "Estimated two-way round-trip propagation delay of the path, estimated "
+                            "from the windowed minimum recent round-trip delay sample",
+                            MakeTraceSourceAccessor(&TcpBbr::m_minRtt),
+                            "ns3::TracedValueCallback::Time")
+            .AddTraceSource("PacingGain",
+                            "The dynamic pacing gain factor",
+                            MakeTraceSourceAccessor(&TcpBbr::m_pacingGain),
+                            "ns3::TracedValueCallback::Double")
+            .AddTraceSource("CwndGain",
+                            "The dynamic congestion window gain factor",
+                            MakeTraceSourceAccessor(&TcpBbr::m_cWndGain),
+                            "ns3::TracedValueCallback::Double");
     return tid;
 }
 
@@ -230,6 +232,7 @@
     if (m_isPipeFilled || rate > tcb->m_pacingRate)
     {
         tcb->m_pacingRate = rate;
+        NS_LOG_DEBUG("Pacing rate updated. New value: " << tcb->m_pacingRate);
     }
 }
 
@@ -475,6 +478,7 @@
 uint32_t
 TcpBbr::AckAggregationCwnd()
 {
+    NS_LOG_FUNCTION(this);
     uint32_t maxAggrBytes; // MaxBW * 0.1 secs
     uint32_t aggrCwndBytes = 0;
 
@@ -490,6 +494,7 @@
 void
 TcpBbr::UpdateAckAggregation(Ptr<TcpSocketState> tcb, const TcpRateOps::TcpRateSample& rs)
 {
+    NS_LOG_FUNCTION(this << tcb << rs);
     uint32_t expectedAcked;
     uint32_t extraAck;
     uint32_t epochProp;
@@ -588,6 +593,7 @@
         tcb->m_cWnd = tcb->m_cWnd.Get() + rs.m_ackedSacked;
     }
     tcb->m_cWnd = std::max(tcb->m_cWnd.Get(), m_minPipeCwnd);
+    NS_LOG_DEBUG("Congestion window updated. New value:" << tcb->m_cWnd);
 
 done:
     ModulateCwndForProbeRTT(tcb);
@@ -711,7 +717,7 @@
     if (newState == TcpSocketState::CA_OPEN && !m_isInitialized)
     {
         NS_LOG_DEBUG("CongestionStateSet triggered to CA_OPEN :: " << newState);
-        m_minRtt = tcb->m_lastRtt.Get() != Time::Max() ? tcb->m_lastRtt.Get() : Time::Max();
+        m_minRtt = tcb->m_srtt.Get() != Time::Max() ? tcb->m_srtt.Get() : Time::Max();
         m_minRttStamp = Simulator::Now();
         m_priorCwnd = tcb->m_cWnd;
         tcb->m_ssThresh = tcb->m_initialSsThresh;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/tcp-bbr.h ns-3.43/src/internet/model/tcp-bbr.h
--- ns-3.42/src/internet/model/tcp-bbr.h	2024-05-29 15:29:46.964073200 -0700
+++ ns-3.43/src/internet/model/tcp-bbr.h	2024-10-09 16:41:09.888656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2018 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Vivek Jain <jain.vivek.anand@gmail.com>
  *          Viyom Mittal <viyommittal@gmail.com>
@@ -352,8 +341,8 @@
     MaxBandwidthFilter_t m_maxBwFilter;        //!< Maximum bandwidth filter
     uint32_t m_bandwidthWindowLength{0}; //!< A constant specifying the length of the BBR.BtlBw max
                                          //!< filter window, default 10 packet-timed round trips.
-    double m_pacingGain{0};              //!< The dynamic pacing gain factor
-    double m_cWndGain{0};                //!< The dynamic congestion window gain factor
+    TracedValue<double> m_pacingGain{0}; //!< The dynamic pacing gain factor
+    TracedValue<double> m_cWndGain{0};   //!< The dynamic congestion window gain factor
     double m_highGain{0};       //!< A constant specifying highest gain factor, default is 2.89
     bool m_isPipeFilled{false}; //!< A boolean that records whether BBR has filled the pipe
     uint32_t m_minPipeCwnd{
@@ -373,7 +362,7 @@
     uint32_t m_targetCWnd{0}; //!< Target value for congestion window, adapted to the estimated BDP
     DataRate m_fullBandwidth{0};      //!< Value of full bandwidth recorded
     uint32_t m_fullBandwidthCount{0}; //!< Count of full bandwidth recorded consistently
-    Time m_minRtt{
+    TracedValue<Time> m_minRtt{
         Time::Max()}; //!< Estimated two-way round-trip propagation delay of the path, estimated
                       //!< from the windowed minimum recent round-trip delay sample.
     uint32_t m_sendQuantum{
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/tcp-bic.cc ns-3.43/src/internet/model/tcp-bic.cc
--- ns-3.42/src/internet/model/tcp-bic.cc	2024-05-29 15:29:46.964073200 -0700
+++ ns-3.43/src/internet/model/tcp-bic.cc	2024-10-09 16:41:09.888656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Natale Patriciello <natale.patriciello@gmail.com>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 #include "tcp-bic.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/tcp-bic.h ns-3.43/src/internet/model/tcp-bic.h
--- ns-3.42/src/internet/model/tcp-bic.h	2024-05-29 15:29:46.964073200 -0700
+++ ns-3.43/src/internet/model/tcp-bic.h	2024-10-09 16:41:09.888656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Natale Patriciello <natale.patriciello@gmail.com>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
@@ -68,7 +57,7 @@
  * and the current cWnd size).
  *
  * The reference paper for BIC can be found in:
- * http://an.kaist.ac.kr/courses/2006/cs540/reading/bic-tcp.pdf
+ * https://web.archive.org/web/20220930220436/https://an.kaist.ac.kr/courses/2006/cs540/reading/bic-tcp.pdf
  *
  * This model has a number of configurable parameters that are exposed as
  * attributes of the TcpBic TypeId.  This model also exports trace sources,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/tcp-congestion-ops.cc ns-3.43/src/internet/model/tcp-congestion-ops.cc
--- ns-3.42/src/internet/model/tcp-congestion-ops.cc	2024-05-29 15:29:46.964073200 -0700
+++ ns-3.43/src/internet/model/tcp-congestion-ops.cc	2024-10-09 16:41:09.888656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Natale Patriciello <natale.patriciello@gmail.com>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 #include "tcp-congestion-ops.h"
@@ -130,26 +119,26 @@
  * > SMSS bytes upon receipt of an ACK covering new data, we RECOMMEND
  * > that TCP implementations increase cwnd, per:
  * >
- * >    cwnd += min (N, SMSS)                      (2)
+ * >     cwnd += min (N, SMSS)                      (2)
  * >
  * > where N is the number of previously unacknowledged bytes acknowledged
  * > in the incoming ACK.
  *
  * The ns-3 implementation respect the RFC definition. Linux does something
  * different:
- * \verbatim
-u32 tcp_slow_start(struct tcp_sock *tp, u32 acked)
-  {
-    u32 cwnd = tp->snd_cwnd + acked;
-
-    if (cwnd > tp->snd_ssthresh)
-      cwnd = tp->snd_ssthresh + 1;
-    acked -= cwnd - tp->snd_cwnd;
-    tp->snd_cwnd = min(cwnd, tp->snd_cwnd_clamp);
-
-    return acked;
-  }
-  \endverbatim
+ * \code{.cpp}
+   u32 tcp_slow_start(struct tcp_sock *tp, u32 acked)
+   {
+     u32 cwnd = tp->snd_cwnd + acked;
+
+     if (cwnd > tp->snd_ssthresh)
+       cwnd = tp->snd_ssthresh + 1;
+     acked -= cwnd - tp->snd_cwnd;
+     tp->snd_cwnd = min(cwnd, tp->snd_cwnd_clamp);
+
+     return acked;
+   }
+   \endcode
  *
  * As stated, we want to avoid the case when a cumulative ACK increases cWnd more
  * than a segment size, but we keep count of how many segments we have ignored,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet/model/tcp-congestion-ops.h ns-3.43/src/internet/model/tcp-congestion-ops.h
--- ns-3.42/src/internet/model/tcp-congestion-ops.h	2024-05-29 15:29:46.964073200 -0700
+++ ns-3.43/src/internet/model/tcp-congestion-ops.h	2024-10-09 16:41:09.888656000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Natale Patriciello <natale.patriciello@gmail.com>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 #ifndef TCPCONGESTIONOPS_H
